import Vue, { VNode, VNodeComponentOptions } from 'vue';
import { SwiperNavigation, SwiperChangeSource } from './type';
export interface SwiperVue extends Vue {
    swiperTimer: number;
    swiperSwitchingTimer: number;
}
declare const _default: import("vue/types/vue").ExtendedVue<SwiperVue, {
    currentIndex: number;
    isHovering: boolean;
    isSwitching: boolean;
    swiperItemList: VNodeComponentOptions[];
    showArrow: boolean;
}, {
    updateSwiperItems(): void;
    setTimer(): void;
    clearTimer(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onMouseEnterNavigationItem(i: number): void;
    onClickNavigationItem(i: number): void;
    swiperTo(index: number, context: {
        source: SwiperChangeSource;
    }): void;
    goNext(context: {
        source: SwiperChangeSource;
    }): void;
    goPrevious(context: {
        source: SwiperChangeSource;
    }): void;
    getWrapAttribute(attr: string): any;
    renderPagination(): JSX.Element;
    renderArrow(): JSX.Element;
    renderNavigation(): JSX.Element | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | SwiperNavigation;
    renderSwiperItems(): VNode[];
}, {
    swiperItemLength: number;
    navigationConfig: SwiperNavigation;
    isEnd: boolean;
    propsToUpdateSetTimer: any[];
    swiperWrapClass: any;
    containerStyle: any;
    swiperItems: VNode[];
}, {
    animation: "fade" | "slide";
    autoplay: boolean;
    current: number;
    defaultCurrent: number;
    direction: "vertical" | "horizontal";
    duration: number;
    height: number;
    interval: number;
    loop: boolean;
    navigation: ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | SwiperNavigation;
    stopOnHover: boolean;
    theme: "dark" | "light";
    trigger: "click" | "hover";
    type: "default" | "card";
    onChange: (current: number, context: {
        source: SwiperChangeSource;
    }) => void;
}>;
export default _default;
